#pragma once
#include "mainviewbase.h"

class CServerInfoView :
	public CMainViewBase
{
public:
	CServerInfoView(void);
	virtual ~CServerInfoView(void);
	DECLARE_MESSAGE_MAP()
	afx_msg void OnPaint();

	void DrawAll(CDC *dc);
	void EraseText(int x,int y,CDC *dc);

	virtual CString ToString();

	CString GetTransText(__int64 send,__int64 recv);
	void DrawText(CDC *dc,int x,int y,CString label,CString text,int alert=0);

	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnTimer(UINT nIDEvent);
};
